/*
 * currency rate calculator
 * www.bankrus.ru
 */
(function($) {
	$(document).ready(function(){
		$("#edit-inpvalue").keyup(function(event){
			
	    	var currType = $("#edit-currency").val(), value = $(this).val(), html=[];
		    	
	    	switch (currType){
			case "RUB":
				html.push("<div>" + Math.round((value / $('#USDsale').html())*100) / 100 + " USD</div>");
				html.push("<div>" + Math.round((value / $('#EURsale').html())*100) / 100 + " EUR</div>");
				break;
			case "USD":
				html.push("<div>" + Math.round(value * $('#USDbuy').html()*100) / 100 + " RUR</div>");
				break;
			case "EUR":
				html.push("<div>" + Math.round(value * $('#EURbuy').html()*100) / 100 + " RUR</div>");
				break;
	    	}
		    	
	    	$("#resultwrapper").html(html.join(""));
		    	
		});
	});
	
})(jQuery);